# frozen_string_literal: true

source 'http://rubygems.org' do
  gem 'bunny'
  gem 'falcon'
  gem 'puma', '~> 4.0'
  gem 'redis'
  gem 'roda', '~> 3.38'
  gem 'sidekiq'
  gem 'mongoid'
  gem 'bcrypt', '~> 3.1.7'

  # list of personal gems
  gem 'context_user_database', path: '../libs/database/context_user_database'
  gem 'context_denunciation_database', path: '../libs/database/context_denunciation_database'
  gem 'context_history_database', path: '../libs/database/context_history_database'

  group :development do
    gem 'pry-nav'
    gem 'rack-test'
    gem 'rspec'
    gem 'rubocop-performance'
    gem 'rubocop-rspec'
    gem 'simplecov', require: false
    gem 'webmock'
  end
end
